<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>print() for C++20: include/print_options.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">print() for C++20
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">print_options.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="print__options_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// Copyright (c) 2021 Martin B. Krauss.</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// Licensed under the MIT LICENSE.</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// See the file &#39;LICENSE&#39; that should be distributed with this software or can</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// be found at &#39;https://gitlab.com/martin.b.krauss/cpp20-print&#39; for details.</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#ifndef CPP20PRINT_PRINT_OPTIONS_H</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#define CPP20PRINT_PRINT_OPTIONS_H</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;sstream&gt;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="terminalcolors_8h.html">terminalcolors.h</a>&quot;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span>cpp20print::printing {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1ListStyle.html">   22</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structcpp20print_1_1printing_1_1ListStyle.html">ListStyle</a> {</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1ListStyle.html#a55c457193f9a8730ea343e39084f992d">   25</a></span>&#160;    std::pair&lt;std::string, std::string&gt; <a class="code" href="structcpp20print_1_1printing_1_1ListStyle.html#a55c457193f9a8730ea343e39084f992d">delimiters</a> {<span class="stringliteral">&quot;[&quot;</span>, <span class="stringliteral">&quot;]&quot;</span>};</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1ListStyle.html#ad6abfeabd9d43b6bc40c801ee9f8c447">   28</a></span>&#160;    std::string <a class="code" href="structcpp20print_1_1printing_1_1ListStyle.html#ad6abfeabd9d43b6bc40c801ee9f8c447">seperator</a> {<span class="stringliteral">&quot;, &quot;</span>};</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1ListStyle.html#a480ee9f0fe2a42757a56599c740979f4">   31</a></span>&#160;    <span class="keywordtype">size_t</span> <a class="code" href="structcpp20print_1_1printing_1_1ListStyle.html#a480ee9f0fe2a42757a56599c740979f4">maxElementsPrinted</a> {5};</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1ListStyle.html#a0e15624236c065287fa2116dab918cd2">   34</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="structcpp20print_1_1printing_1_1ListStyle.html#a0e15624236c065287fa2116dab918cd2">expand</a> {<span class="keyword">false</span>};</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1ListStyle.html#a8f9e813f3c8489c4aa31c5e1bb5d371d">   37</a></span>&#160;    std::shared_ptr&lt;ListStyle&gt; <a class="code" href="structcpp20print_1_1printing_1_1ListStyle.html#a8f9e813f3c8489c4aa31c5e1bb5d371d">subListStyle</a> {<span class="keyword">nullptr</span>}; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;};</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1PrintOptions.html">   42</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html">PrintOptions</a> {</div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1PrintOptions.html#ad6abfeabd9d43b6bc40c801ee9f8c447">   45</a></span>&#160;    std::string <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#ad6abfeabd9d43b6bc40c801ee9f8c447">seperator</a> {<span class="stringliteral">&quot; &quot;</span>};</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1PrintOptions.html#a7cdc73646f3e8e6c275b892bc7e615fb">   49</a></span>&#160;    std::string <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#a7cdc73646f3e8e6c275b892bc7e615fb">end</a> {<span class="stringliteral">&quot;\n&quot;</span>};</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1PrintOptions.html#adfa26c950f1582c78c5959e92105b3b0">   53</a></span>&#160;    std::reference_wrapper&lt;std::ostream&gt; <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#adfa26c950f1582c78c5959e92105b3b0">file</a> {std::cout};</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1PrintOptions.html#aac74feccd61a36e30d44315f6a776a72">   56</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#aac74feccd61a36e30d44315f6a776a72">flush</a> {<span class="keyword">false</span>};</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; </div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keyword">using</span> Color = <a class="code" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">terminal::Color</a>;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keyword">using</span> Weight = <a class="code" href="terminalcolors_8h.html#add354b854a8899ddb39fc9d57bbe22e3">terminal::Weight</a>;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div>
<div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa5f4d1eda21c196bd8401ff73f105073">   62</a></span>&#160;    <a class="code" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a> <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa5f4d1eda21c196bd8401ff73f105073">color</a> {Color::Default};</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160; </div>
<div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1PrintOptions.html#ac348b84fbc0a26e6fcf42ea1b47639ca">   65</a></span>&#160;    <a class="code" href="terminalcolors_8h.html#add354b854a8899ddb39fc9d57bbe22e3">Weight</a>  <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#ac348b84fbc0a26e6fcf42ea1b47639ca">weight</a> {Weight::Default};</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div>
<div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475">   68</a></span>&#160;    <span class="keyword">enum class</span> <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475">IntegerFormat</a> {</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475a937504f318f04eaf0f1d701df4c4d7f3">Decimal</a>,                </div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475a3a1733e5ccccdb1b700352409ce97c89">Hexadecimal</a>,            </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475a919c181a7c4ea1da2e77d49e3c02d531">Octal</a>,                  </div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        Default = <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475a937504f318f04eaf0f1d701df4c4d7f3">Decimal</a>       </div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    };</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160; </div>
<div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1PrintOptions.html#ae17d5346b841e0b7c3d2b4aae06fc16f">   76</a></span>&#160;    <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475">IntegerFormat</a> <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#ae17d5346b841e0b7c3d2b4aae06fc16f">integerFormat</a> {IntegerFormat::Default};</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160; </div>
<div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066">   79</a></span>&#160;    <span class="keyword">enum class</span> <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066">FloatFormat</a> {</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066a7a1920d61156abc05a60135aefe8bc67">Default</a>,            </div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066a21234a0e100d74037a4da2e53f3200d7">Scientific</a>,         </div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066a4457d440870ad6d42bab9082d9bf9b61">Fixed</a>               </div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    };</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160; </div>
<div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1PrintOptions.html#ac7270f69c5d64523266429a60d3bd0aa">   86</a></span>&#160;    <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066">FloatFormat</a> <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#ac7270f69c5d64523266429a60d3bd0aa">floatFormat</a> {<a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066a4457d440870ad6d42bab9082d9bf9b61">FloatFormat::Fixed</a>};</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160; </div>
<div class="line"><a name="l00090"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa61c1fda74d91bd942e6e2fcb3d8552b">   90</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa61c1fda74d91bd942e6e2fcb3d8552b">floatPrecision</a> {2};</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160; </div>
<div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1PrintOptions.html#ac726850d193ec5c9cf37e45f86155b12">   93</a></span>&#160;    <a class="code" href="structcpp20print_1_1printing_1_1ListStyle.html">ListStyle</a> <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#ac726850d193ec5c9cf37e45f86155b12">listStyle</a> {};</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160; </div>
<div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="structcpp20print_1_1printing_1_1PrintOptions.html#a850462ed203b590bd4679bd987364d73">   96</a></span>&#160;    <a class="code" href="structcpp20print_1_1printing_1_1ListStyle.html">ListStyle</a> <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#a850462ed203b590bd4679bd987364d73">pairStyle</a> {</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        .<a class="code" href="structcpp20print_1_1printing_1_1ListStyle.html#a55c457193f9a8730ea343e39084f992d">delimiters</a> = {<span class="stringliteral">&quot;(&quot;</span>, <span class="stringliteral">&quot;)&quot;</span>},</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        .seperator  = <span class="stringliteral">&quot;, &quot;</span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        };</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160; </div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;};</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160; </div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;}</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160; </div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<span class="preprocessor">#endif</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_aac74feccd61a36e30d44315f6a776a72"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#aac74feccd61a36e30d44315f6a776a72">cpp20print::printing::PrintOptions::flush</a></div><div class="ttdeci">bool flush</div><div class="ttdoc">If true appends std::flush to the stream (default=false)</div><div class="ttdef"><b>Definition:</b> print_options.h:56</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1ListStyle_html"><div class="ttname"><a href="structcpp20print_1_1printing_1_1ListStyle.html">cpp20print::printing::ListStyle</a></div><div class="ttdoc">Holds formatting information for lists.</div><div class="ttdef"><b>Definition:</b> print_options.h:22</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1ListStyle_html_a8f9e813f3c8489c4aa31c5e1bb5d371d"><div class="ttname"><a href="structcpp20print_1_1printing_1_1ListStyle.html#a8f9e813f3c8489c4aa31c5e1bb5d371d">cpp20print::printing::ListStyle::subListStyle</a></div><div class="ttdeci">std::shared_ptr&lt; ListStyle &gt; subListStyle</div><div class="ttdoc">Optionally defines the style for nested lists, if different.</div><div class="ttdef"><b>Definition:</b> print_options.h:37</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_aa900700142fa799baa05b7aa63fe3066"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066">cpp20print::printing::PrintOptions::FloatFormat</a></div><div class="ttdeci">FloatFormat</div><div class="ttdoc">Defines values for formatting floating point numbers (float, double).</div><div class="ttdef"><b>Definition:</b> print_options.h:79</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1ListStyle_html_ad6abfeabd9d43b6bc40c801ee9f8c447"><div class="ttname"><a href="structcpp20print_1_1printing_1_1ListStyle.html#ad6abfeabd9d43b6bc40c801ee9f8c447">cpp20print::printing::ListStyle::seperator</a></div><div class="ttdeci">std::string seperator</div><div class="ttdoc">Defines the symbol that seperates list items.</div><div class="ttdef"><b>Definition:</b> print_options.h:28</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_a463c01fd3733281fe5fa6bda52436475a937504f318f04eaf0f1d701df4c4d7f3"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475a937504f318f04eaf0f1d701df4c4d7f3">cpp20print::printing::PrintOptions::IntegerFormat::Decimal</a></div><div class="ttdeci">@ Decimal</div><div class="ttdoc">Decimal format (&quot;12&quot;)</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_ac7270f69c5d64523266429a60d3bd0aa"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#ac7270f69c5d64523266429a60d3bd0aa">cpp20print::printing::PrintOptions::floatFormat</a></div><div class="ttdeci">FloatFormat floatFormat</div><div class="ttdoc">Defines the format for printing floating point numbers.</div><div class="ttdef"><b>Definition:</b> print_options.h:86</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_a463c01fd3733281fe5fa6bda52436475"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475">cpp20print::printing::PrintOptions::IntegerFormat</a></div><div class="ttdeci">IntegerFormat</div><div class="ttdoc">Defines values for formatting integers.</div><div class="ttdef"><b>Definition:</b> print_options.h:68</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1ListStyle_html_a480ee9f0fe2a42757a56599c740979f4"><div class="ttname"><a href="structcpp20print_1_1printing_1_1ListStyle.html#a480ee9f0fe2a42757a56599c740979f4">cpp20print::printing::ListStyle::maxElementsPrinted</a></div><div class="ttdeci">size_t maxElementsPrinted</div><div class="ttdoc">Defines the maximum number of items before the list will be truncated.</div><div class="ttdef"><b>Definition:</b> print_options.h:31</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html">cpp20print::printing::PrintOptions</a></div><div class="ttdoc">Sets the options of the print() function.</div><div class="ttdef"><b>Definition:</b> print_options.h:42</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_a7cdc73646f3e8e6c275b892bc7e615fb"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#a7cdc73646f3e8e6c275b892bc7e615fb">cpp20print::printing::PrintOptions::end</a></div><div class="ttdeci">std::string end</div><div class="ttdoc">Defines the terminating character in the output of print i (default=&quot;\n&quot;)</div><div class="ttdef"><b>Definition:</b> print_options.h:49</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_aa5f4d1eda21c196bd8401ff73f105073"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#aa5f4d1eda21c196bd8401ff73f105073">cpp20print::printing::PrintOptions::color</a></div><div class="ttdeci">Color color</div><div class="ttdoc">Defines the color of the output.</div><div class="ttdef"><b>Definition:</b> print_options.h:62</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_aa900700142fa799baa05b7aa63fe3066a4457d440870ad6d42bab9082d9bf9b61"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066a4457d440870ad6d42bab9082d9bf9b61">cpp20print::printing::PrintOptions::FloatFormat::Fixed</a></div><div class="ttdeci">@ Fixed</div><div class="ttdoc">Fixed notation (&quot;1024.500&quot;)</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_aa61c1fda74d91bd942e6e2fcb3d8552b"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#aa61c1fda74d91bd942e6e2fcb3d8552b">cpp20print::printing::PrintOptions::floatPrecision</a></div><div class="ttdeci">int floatPrecision</div><div class="ttdoc">Defines how many digits are printed for floating point numbers, when scientific or fixed notation is ...</div><div class="ttdef"><b>Definition:</b> print_options.h:90</div></div>
<div class="ttc" id="aterminalcolors_8h_html_add354b854a8899ddb39fc9d57bbe22e3"><div class="ttname"><a href="terminalcolors_8h.html#add354b854a8899ddb39fc9d57bbe22e3">cpp20print::terminal::Weight</a></div><div class="ttdeci">Weight</div><div class="ttdoc">Defines values to select a font weight for printing to a terminal.</div><div class="ttdef"><b>Definition:</b> terminalcolors.h:39</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1ListStyle_html_a55c457193f9a8730ea343e39084f992d"><div class="ttname"><a href="structcpp20print_1_1printing_1_1ListStyle.html#a55c457193f9a8730ea343e39084f992d">cpp20print::printing::ListStyle::delimiters</a></div><div class="ttdeci">std::pair&lt; std::string, std::string &gt; delimiters</div><div class="ttdoc">Defines the symbols that are printed at the beginning and end of the list.</div><div class="ttdef"><b>Definition:</b> print_options.h:25</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1ListStyle_html_a0e15624236c065287fa2116dab918cd2"><div class="ttname"><a href="structcpp20print_1_1printing_1_1ListStyle.html#a0e15624236c065287fa2116dab918cd2">cpp20print::printing::ListStyle::expand</a></div><div class="ttdeci">bool expand</div><div class="ttdoc">If true lists won't be truncated.</div><div class="ttdef"><b>Definition:</b> print_options.h:34</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_aa900700142fa799baa05b7aa63fe3066a21234a0e100d74037a4da2e53f3200d7"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066a21234a0e100d74037a4da2e53f3200d7">cpp20print::printing::PrintOptions::FloatFormat::Scientific</a></div><div class="ttdeci">@ Scientific</div><div class="ttdoc">Scientific notation (&quot;1.0245e3&quot;)</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_a463c01fd3733281fe5fa6bda52436475a3a1733e5ccccdb1b700352409ce97c89"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475a3a1733e5ccccdb1b700352409ce97c89">cpp20print::printing::PrintOptions::IntegerFormat::Hexadecimal</a></div><div class="ttdeci">@ Hexadecimal</div><div class="ttdoc">Hexadecimal format (&quot;0xc&quot;)</div></div>
<div class="ttc" id="aterminalcolors_8h_html_ab87bacfdad76e61b9412d7124be44c1c"><div class="ttname"><a href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">cpp20print::terminal::Color</a></div><div class="ttdeci">Color</div><div class="ttdoc">Defines values to select colors for printing to a terminal.</div><div class="ttdef"><b>Definition:</b> terminalcolors.h:20</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_ac348b84fbc0a26e6fcf42ea1b47639ca"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#ac348b84fbc0a26e6fcf42ea1b47639ca">cpp20print::printing::PrintOptions::weight</a></div><div class="ttdeci">Weight weight</div><div class="ttdoc">Defines the font weight of the output.</div><div class="ttdef"><b>Definition:</b> print_options.h:65</div></div>
<div class="ttc" id="aterminalcolors_8h_html"><div class="ttname"><a href="terminalcolors_8h.html">terminalcolors.h</a></div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_a463c01fd3733281fe5fa6bda52436475a919c181a7c4ea1da2e77d49e3c02d531"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475a919c181a7c4ea1da2e77d49e3c02d531">cpp20print::printing::PrintOptions::IntegerFormat::Octal</a></div><div class="ttdeci">@ Octal</div><div class="ttdoc">Octal format (&quot;0o14&quot;)</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_ac726850d193ec5c9cf37e45f86155b12"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#ac726850d193ec5c9cf37e45f86155b12">cpp20print::printing::PrintOptions::listStyle</a></div><div class="ttdeci">ListStyle listStyle</div><div class="ttdoc">Defines the formatting style for lists (std::vector, std::map, ...).</div><div class="ttdef"><b>Definition:</b> print_options.h:93</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_a850462ed203b590bd4679bd987364d73"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#a850462ed203b590bd4679bd987364d73">cpp20print::printing::PrintOptions::pairStyle</a></div><div class="ttdeci">ListStyle pairStyle</div><div class="ttdoc">Defines the formatting style for pairs (std::pair, map items, ...).</div><div class="ttdef"><b>Definition:</b> print_options.h:96</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_ad6abfeabd9d43b6bc40c801ee9f8c447"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#ad6abfeabd9d43b6bc40c801ee9f8c447">cpp20print::printing::PrintOptions::seperator</a></div><div class="ttdeci">std::string seperator</div><div class="ttdoc">Defines how the output of each argument of the print function is seperated from the next one.</div><div class="ttdef"><b>Definition:</b> print_options.h:45</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_aa900700142fa799baa05b7aa63fe3066a7a1920d61156abc05a60135aefe8bc67"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066a7a1920d61156abc05a60135aefe8bc67">cpp20print::printing::PrintOptions::FloatFormat::Default</a></div><div class="ttdeci">@ Default</div><div class="ttdoc">The system default (&quot;1024.5&quot;)</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_adfa26c950f1582c78c5959e92105b3b0"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#adfa26c950f1582c78c5959e92105b3b0">cpp20print::printing::PrintOptions::file</a></div><div class="ttdeci">std::reference_wrapper&lt; std::ostream &gt; file</div><div class="ttdoc">Defines the stream to which the output of print is directed (default=&quot;std::cout&quot;)</div><div class="ttdef"><b>Definition:</b> print_options.h:53</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_ae17d5346b841e0b7c3d2b4aae06fc16f"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#ae17d5346b841e0b7c3d2b4aae06fc16f">cpp20print::printing::PrintOptions::integerFormat</a></div><div class="ttdeci">IntegerFormat integerFormat</div><div class="ttdoc">Defines the format for printing integers.</div><div class="ttdef"><b>Definition:</b> print_options.h:76</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
